linux: 2.6.24-32.104 -proposed tracker

Bug #1023810 reported by Luis Henriques on 2012-07-12
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Hardy
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.24-32.104 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 12. July 2012 09:22 UTC
kernel-stable-Certification-testing-end:Thursday, 12. July 2012 09:31 UTC
kernel-stable-Prepare-package-end:Thursday, 12. July 2012 20:01 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 12. July 2012 20:01 UTC
kernel-stable-Promote-to-proposed-end:Friday, 13. July 2012 04:17 UTC
kernel-stable-Verification-testing-start:Friday, 13. July 2012 05:32 UTC
kernel-stable-Security-signoff-start:Friday, 13. July 2012 09:01 UTC
kernel-stable-Verification-testing-end:Friday, 13. July 2012 09:01 UTC
kernel-stable-Regression-testing-start:Friday, 13. July 2012 09:01 UTC
kernel-stable-Security-signoff-end:Friday, 13. July 2012 22:01 UTC
kernel-stable-Promote-to-updates-start:Monday, 16. July 2012 15:31 UTC
kernel-stable-Regression-testing-end:Monday, 16. July 2012 15:31 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Monday, 16. July 2012 23:02 UTC
kernel-stable-Promote-to-updates-end:Monday, 16. July 2012 23:02 UTC

CVE References

Luis Henriques (henrix) on 2012-07-12
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: hardy
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-07-12
description: updated

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed.

Brad Figg (brad-figg) on 2012-07-13
description: updated
Brad Figg (brad-figg) on 2012-07-13
description: updated
Luis Henriques (henrix) wrote :

Only 2 CVEs, moving into testing.

Brad Figg (brad-figg) on 2012-07-13
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-07-13
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-07-16
description: updated
Adam Conrad (adconrad) wrote :

Copied to updates and security.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.24-32.104

---------------
linux (2.6.24-32.104) hardy-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1023810

  [Upstream Kernel Changes]

  * netfilter: nf_conntrack_reasm: properly handle packets fragmented into
    a single fragment
    - LP: #1023532
    - CVE-2012-2744
  * KVM: fix backport of 3e51570 on hardy
    - LP: #971685
    - CVE-2012-1601

linux (2.6.24-32.103) hardy-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1020100

  [Upstream Kernel Changes]

  * KVM: MMU: nuke shadowed pgtable pages and ptes on memslot destruction
    - LP: #971685
    - CVE-2012-1601
  * KVM: MMU: do not free active mmu pages in free_mmu_pages()
    - LP: #971685
    - CVE-2012-1601
  * KVM: Don't destroy vcpu in case vcpu_setup fails
    - LP: #971685
    - CVE-2012-1601
  * KVM: Ensure all vcpus are consistent with in-kernel irqchip settings
    - LP: #971685
    - CVE-2012-1601
 -- Luis Henriques <email address hidden> Thu, 12 Jul 2012 10:13:07 +0100

Changed in linux (Ubuntu Hardy):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
Changed in linux (Ubuntu):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers